Skip to main content
GET
List governed Impact Stories

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Query Parameters

search
string | null

Search. Validation: nullable, string, max:255.

Maximum string length: 255
status
enum<string> | null

Status. Validation: nullable, string; allowed values: draft, needs_context, ready_for_review, approved, published, rejected, archived.

Available options:
draft,
needs_context,
ready_for_review,
approved,
published,
rejected,
archived,
null
story_type
string | null

Story type. Validation: nullable, string, max:64.

Maximum string length: 64
privacy_level
enum<string> | null

Privacy level. Validation: nullable, string; allowed values: internal, donor_safe, public.

Available options:
internal,
donor_safe,
public,
null
consent_status
enum<string> | null

Consent status. Validation: nullable, string; allowed values: unknown, internal_only, donor_safe, public_safe.

Available options:
unknown,
internal_only,
donor_safe,
public_safe,
null
primary_program_id
integer | null

Primary program id. Validation: nullable, integer.

primary_entity_id
integer | null

Primary entity id. Validation: nullable, integer.

primary_donor_id
integer | null

Primary donor id. Validation: nullable, integer.

sort
string | null

Sort. Validation: nullable, string, max:64.

Maximum string length: 64
per_page
integer | null

Per page. Validation: nullable, integer, min:1, max:100.

Required range: 1 <= x <= 100
page
integer

Laravel pagination page.

Required range: x >= 1

Response

Operation result.

data
object[]
meta
object